Linux Mint 18.2 - Nie wykrywa Wi-Fi


(Giiixxxx6) #1

Witam,
Mam taki problem - otóż najnowszy Mint nie wykrywa u mnie Wi-Fi, a jedynie połączenie po kablu.
Wcześniej była na pokładzie 17 i wszystko jak najbardziej grało, mało tego - w wersji live przed instalajcą też wszystko grało.
Niestety, że jestem linuxowym laikiem, nie jestem w stanie podać dokładnego modelu karty Wi-Fi - pamiętam jedynie że był to Broadcom. Byłbym wdzięczny gdyby ktoś nakierował na to jak się tego dowiedziweć, i poradzić z problemem.

Pozdrawiam i miłego dnia.


(dzemik) #2

Jeśli ciągle nie rozwiązałeś problemu, uruchom terminal i wklej tu wyniki komend lspci oraz ifconfig -a


#3

W nowej Miętówce, jeśli nie działa normalnie, trzeba wybrać opcję “połącz z ukrytą siecią WiFi” i tam sobie odpowiednio wpisać parametry połączenia. To nie błąd. Tak 18.2 po prostu ma.


(Giiixxxx6) #4

@dzemik @MartinaNeumayer
Problem rozwiązałem.
Komenda zwraca polecenie:

> 07:00.0 Network controller [0280]: Broadcom Corporation BCM43142 802.11b/g/n [14e4:4365] (rev 01)

Sprawdzając na stronie: http://www.linuxwireless.org/en/users/Drivers/b43/#supported widzę, że nie jest wspierane, zainstalowałem więc alternatywne sterowniki poleceniem które znalazłem na innej stronie, niestety nie pamiętam jakiej. Ale w Sterownikach wygląda to w następujący sposób:


#5

Po prostu dorzuciłeś firmware w system. One wspierane są, ale przez jakieś tam licencyjne pierdulamendo nie mogą być ootb dostarczane z systemem. Normalnie robi się tak, że podpina lan’em zaraz po instalacji, włącza i uaktualnia wszystkie repozytoria, reboot i powinno już grać. Wtedy przełącza się na bezprzewodową sieciówkę. To stara zasada: pierwsze updejty robi się “po kablu”. Amen.


(Domker) #6

firmware-b43-installer jest obecny w repozytorium multiverse systemu, więc niepotrzebnie pobierałeś z zewnętrznej strony.
Pewnie automat Ci aplikował wersję “legacy” sterownika, dlatego nie działało.


(xdziunia92) #7

Spróbuj z repozytorium zainstalowac broadcom dkms u mnie to pomaga.